package io.zipcoder.persistenceapp;

import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public interface PersonService {

    public void createPerson(String FIRST_NAME, String LAST_NAME, String MOBILE, String BIRTHDAY, String HOME_ID);
    public void updatePerson(String FIRST_NAME, String LAST_NAME, String MOBILE, String BIRTHDAY, String HOME_ID);
    public void deletePerson(int id);
    public void deletePersonList(List<Integer> deleteList);
    public List<Person> findAll(String searchByThis);
    public Person findPerson(int id);
    public Map<String, Integer> firstNameCount();

}
