CREATE TABLE MOVIES
(
  ID INT PRIMARY KEY,
  Title VARCHAR,
  Runtime NUMBER,
  Genre VARCHAR ,
  IMDB_Score DOUBLE ,
  RATING VARCHAR
  );

INSERT INTO MOVIES ( TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING) VALUES ('Infinity War', 149, 'Action', 8.5, 'PG-13');

SELECT * FROM MOVIES WHERE GENRE='Sci-Fi';

SELECT * FROM MOVIES WHERE IMDB_SCORE >= 6.5;

SELECT * FROM MOVIES WHERE
RUNTIME < 100 AND RATING = 'G' OR RATING = 'PG';

SELECT GENRE, AVG(RUNTIME)
FROM MOVIES WHERE IMDB_SCORE < 7.5 GROUP BY GENRE;

UPDATE MOVIES SET RATING = 'R' WHERE TITLE = 'Starship Troopers';

SELECT TITLE, ID, RATING FROM MOVIES WHERE GENRE = 'Horror' OR GENRE = 'Documentary';

SELECT RATING, AVG(IMDB_SCORE), MIN(IMDB_SCORE), MAX(IMDB_SCORE) FROM MOVIES GROUP BY RATING ;

SELECT RATING, AVG(IMDB_SCORE), MIN(IMDB_SCORE), MAX(IMDB_SCORE) FROM MOVIES GROUP BY RATING HAVING COUNT(*) > 1;

DELETE FROM MOVIES WHERE RATING = 'R';